///
/// Расширение для работы с [Duration]
///
extension AppDuration on Duration {
  ///
  /// Получение длительности в формате mm:ss
  ///
  String get mmss => hhmmss.substring('00:'.length);

  ///
  /// Получение длительности в формате HH:mm:ss
  ///
  String get hhmmss {
    String twoDigits(int n) => n.toString().padLeft(2, '0');

    String twoDigitMinutes = twoDigits(inMinutes.remainder(60));
    String twoDigitSeconds = twoDigits(inSeconds.remainder(60));

    return '${twoDigits(inHours)}:$twoDigitMinutes:$twoDigitSeconds';
  }
}
